<?php

namespace Openguru\OpenCartFramework\OpenCart;

class Currency extends \Cart\Currency
{
    public function __construct($registry)
    {
        parent::__construct($registry);
    }

    /**
     * Очистка html мусора, который некоторые OpenCart шаблоны добавляют в цену.
     *
     * @param $number
     * @param $currency
     * @param $value
     * @param $format
     * @return float|string|void
     */
    public function format($number, $currency, $value = '', $format = true)
    {
        return PriceFormatter::clean(parent::format($number, $currency, $value, $format));
    }
}
